2019-10-16 15:00 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001922FSSCPgraphicspublic2012-12-05 03:34
ReporterSushi_CW 
Assigned Toniffiwan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.15 
Summary0001922: Glowmaps not applied for target preview window
DescriptionAs in the title, texture replacement doesn't seem to be applied in the target preview window. I noticed this when playing Derelict in all of the missions where the Nyarlathotep is visible but hasn't yet come to life: although it looks black in the main game screen, the mini target-preview window in the bottom left shows the normal red Lucifer textures.

Not a huge issue, but it does break some of the immersion.
Additional InformationUsing 3.6.10 RC1, MediaVPs 3.6.10
TagsNo tags attached.
Attached Files
  • ? file icon dl2-11.fs2 (98,150 bytes) 2011-01-15 23:49
  • ? file icon dl2-11-festive.fs2 (98,459 bytes) 2012-12-03 05:16
  • patch file icon mantis1922.svn.patch (760 bytes) 2012-12-04 05:19 -
    Index: code/hud/hudtargetbox.cpp
    ===================================================================
    --- code/hud/hudtargetbox.cpp	(revision 9392)
    +++ code/hud/hudtargetbox.cpp	(working copy)
    @@ -583,6 +583,12 @@
     		if (!Glowpoint_override)
     			Glowpoint_override = true;
     
    +		// set glowmap flag here since model_render (etc) require an objnum to handle glowmaps
    +		// if we did pass the objnum, we'd also have thrusters drawn in the targetbox
    +		if (target_shipp->flags2 & SF2_GLOWMAPS_DISABLED) {
    +			flags |= MR_NO_GLOWMAPS;
    +		}
    +
     		// maybe render a special hud-target-only model
     		if(target_sip->model_num_hud >= 0){
     			model_render( target_sip->model_num_hud, &target_objp->orient, &obj_pos, flags | MR_LOCK_DETAIL | MR_AUTOCENTER | MR_NO_FOGGING);
    
    patch file icon mantis1922.svn.patch (760 bytes) 2012-12-04 05:19 +

-Relationships
+Relationships

-Notes

~0010867

Goober5000 (administrator)

That's not texture replacement, that's glow mapping.

Valid question though.

~0012599

Echelon9 (developer)

Can we get a means of reproducing with retail data?

~0012600

Goober5000 (administrator)

Last edited: 2011-01-15 03:23

That's not possible because this problem only shows up with a model that has glowmapping. So you'd need the mediavps at very least.

I don't think that Derelict mission includes any custom ships; you could probably extract it and test it without having the Derelict mod active.

~0012601

Echelon9 (developer)

Here "retail" = standard campaign with mediavps. Much clearer now.

I don't have Derelict, and didn't want to download, setup and test if there's a quicker way to repro.

~0012602

Goober5000 (administrator)

I've uploaded the mission where the Nyarlathotep "comes to life". The only non-retail ship in that mission is the GTFf Saphah, but you can swap the Iceni for that.

~0014269

niffiwan (developer)

Updated mission with Iceni replacing Saphah and a couple of events to activate/deactive glowmaps for easier testing.

I've got a potential fix by setting MR_NO_GLOWMAPS in hud/hudtargetbox.cpp - but given there's already code to set MR_NO_GLOWMAPS in model/modelinterp.cpp model_really_render() I just want to do a bit more checking before posting the patch.

~0014284

niffiwan (developer)

See attached patch - tested successfully with the attached mission(s).

~0014290

MjnMixael (manager)

Tested successfully here too.

~0014293

Valathil (developer)

Looks good throw it in.

~0014303

niffiwan (developer)

Thanks for the review & testing. Committed in r9398
+Notes

-Issue History
Date Modified Username Field Change
2009-05-04 14:41 Sushi_CW New Issue
2009-05-04 15:25 Goober5000 Note Added: 0010867
2011-01-15 03:09 Echelon9 Note Added: 0012599
2011-01-15 03:22 Goober5000 Note Added: 0012600
2011-01-15 03:23 Goober5000 Note Edited: 0012600
2011-01-15 03:23 Goober5000 Note Edited: 0012600
2011-01-15 04:17 Echelon9 Note Added: 0012601
2011-01-15 23:49 Goober5000 File Added: dl2-11.fs2
2011-01-15 23:50 Goober5000 Note Added: 0012602
2012-12-03 05:15 niffiwan Assigned To => niffiwan
2012-12-03 05:15 niffiwan Status new => assigned
2012-12-03 05:15 niffiwan Summary Texture Replacement not applied for target preview window => Glowmaps not applied for target preview window
2012-12-03 05:16 niffiwan File Added: dl2-11-festive.fs2
2012-12-03 05:21 niffiwan Note Added: 0014269
2012-12-04 05:19 niffiwan File Added: mantis1922.svn.patch
2012-12-04 05:28 niffiwan Note Added: 0014284
2012-12-04 05:28 niffiwan Status assigned => code review
2012-12-04 14:00 MjnMixael Note Added: 0014290
2012-12-04 18:07 Valathil Note Added: 0014293
2012-12-05 03:34 niffiwan Note Added: 0014303
2012-12-05 03:34 niffiwan Status code review => resolved
2012-12-05 03:34 niffiwan Fixed in Version => 3.6.15
2012-12-05 03:34 niffiwan Resolution open => fixed
+Issue History